Binary-safe gz-file write

- « gzuncompress

- inflate_add »

- PHP Manual
- Zlib Functions
- Binary-safe gz-file write

# gzwrite

(PHP 4, PHP 5, PHP 7, PHP 8)

gzwrite — Binary-safe gz-file write

### Description

gzwrite(resource `$stream`, string `$data`, ?int `$length` = `null`): int|false

gzwrite() writes the contents of `data` to the given gz-file.

### Parameters

`stream`

  The gz-file pointer. It must be valid, and must point to a file successfully opened by gzopen().

`data`

  The string to write.

`length`

  The number of uncompressed bytes to write. If supplied, writing will stop after `length` (uncompressed) bytes have been written or the end of `data` is reached, whichever comes first.

### Return Values

Returns the number of (uncompressed) bytes written to the given gz-file stream, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `length` is nullable now; previously, the default was `0`.
7.4.0 | This functions returns `false` on failure now; previously `0` was returned.

### Examples

Example #1 gzwrite() example

    <?php
    $string = 'Some information to compress';
    $gz = gzopen('somefile.gz','w9');
    gzwrite($gz, $string);
    gzclose($gz);
    ?>

### See Also

- gzread() - Binary-safe gz-file read
- gzopen() - Open gz-file